Ubuntu 2720-1: Django vulnerability

    Date18 Aug 2015
    77
    Posted ByLinuxSecurity Advisories
    Django could be made to crash if it received specially crafted network traffic.
    ==========================================================================
    Ubuntu Security Notice USN-2720-1
    August 18, 2015
    
    python-django vulnerability
    ==========================================================================
    
    A security issue affects these releases of Ubuntu and its derivatives:
    
    - Ubuntu 15.04
    - Ubuntu 14.04 LTS
    - Ubuntu 12.04 LTS
    
    Summary:
    
    Django could be made to crash if it received specially crafted network
    traffic.
    
    Software Description:
    - python-django: High-level Python web development framework (Python 2 version)
    
    Details:
    
    Lin Hua Cheng discovered that Django incorrectly handled the session store.
    A remote attacker could use this issue to cause the session store to fill
    up, resulting in a denial of service.
    
    Update instructions:
    
    The problem can be corrected by updating your system to the following
    package versions:
    
    Ubuntu 15.04:
      python-django                   1.7.6-1ubuntu2.2
      python3-django                  1.7.6-1ubuntu2.2
    
    Ubuntu 14.04 LTS:
      python-django                   1.6.1-2ubuntu0.10
    
    Ubuntu 12.04 LTS:
      python-django                   1.3.1-4ubuntu1.18
    
    In general, a standard system update will make all the necessary changes.
    
    References:
      http://www.ubuntu.com/usn/usn-2720-1
      CVE-2015-5963, CVE-2015-5964
    
    Package Information:
      https://launchpad.net/ubuntu/+source/python-django/1.7.6-1ubuntu2.2
      https://launchpad.net/ubuntu/+source/python-django/1.6.1-2ubuntu0.10
      https://launchpad.net/ubuntu/+source/python-django/1.3.1-4ubuntu1.18
    
    
    
    You are not authorised to post comments.

    Comments powered by CComment

    LinuxSecurity Poll

    What do you think of the LinuxSecurity Privacy news articles?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/25-what-do-you-think-of-the-linuxsecurity-privacy-news-articles?task=poll.vote&format=json
    25
    radio
    [{"id":"90","title":"Love them!","votes":"31","type":"x","order":"1","pct":91.18,"resources":[]},{"id":"91","title":"I'm indifferent","votes":"2","type":"x","order":"2","pct":5.88,"resources":[]},{"id":"92","title":"Not interested in this topic","votes":"1","type":"x","order":"3","pct":2.94,"resources":[]}]["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"]["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"]350
    bottom200

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.